import React, { useState } from "react";
import { useTheme } from "@mui/material/styles";
import AppRoutes from "./AppRoutes";
import TopBar from "./TopBar";
import Sidebar from "./Sidebar";
import { getStyles } from "./styles";

const AppLayout = () => {
  const [open, setOpen] = useState(false);
  const theme = useTheme();
  const styles = getStyles(theme);

  const handleDrawerOpen = () => {
    setOpen(true);
  };

  const handleDrawerClose = () => {
    setOpen(false);
  };

  return (
    <div style={styles.root}>
      <TopBar open={open} handleDrawerOpen={handleDrawerOpen} />
      <Sidebar open={open} handleDrawerClose={handleDrawerClose} />
      <main style={styles.content}>
        <div style={styles.toolbar} />
        <AppRoutes />
      </main>
    </div>
  );
};

export default AppLayout;
